#ifndef __MOSRESIM_H__
#define __MOSRESIM_H__




#include <mos2d.h>
#include "packer.h"


class MOSAPI MOSResim
{
public:
    	MOSResim(void);
     ~MOSResim(void);
	
bool TextureYap(UINT &texture, LPSTR strFileName);
bool TextureYapPack(UINT &texture, LPSTR strFileName);
//bool CreateTextureFont(UINT &texture, LPSTR strFileName);
AUX_RGBImageRec *LoadBMP(const char *Filename);
GLuint LoadGLTexture( const char *filename );
int EkranGoruntusu();

public:

typedef unsigned char uchar;



};


#endif	
